Linksfield Developer
OverviewCube APIsTopup APIsOld version
OverviewCube APIsTopup APIsOld version
  1. Customized
  • CSSS APIs
    • Overview
    • Internationalization
    • Status code
    • Sign code Example
    • SIM
      • Get all SIM cards info
      • Get real-time info about one SIM card
      • Get the SIM Cards in use
    • Usage
      • Example Query the traffic usage of a single SIM card
      • Batch querying SIM card usage
      • Example Query the daily usage
      • Batch querying the usage in a specified month
    • Plan
      • Get data plan
      • Order data plan
      • Bulk order package
      • Renew your data plan
      • Query the package order information
      • To enable the order
      • Cancel an unenabled package order
      • End package orders early
      • [不推荐]停机/暂停流量套餐订单
      • [不推荐]复机/重新启动流量套餐订单
      • 【不推荐】分页批量(查询)同步设备可订购套餐
    • SMS
      • Send SMS
    • Customized
      • Order OTA Plan
        POST
      • Query the remaing data by MNO side
        POST
  • Notification
    • Notification Overview
    • Notification status code
    • 流量使用量API预警
      POST
    • 短信下行回调
      POST
    • 短信上行回调
      POST
    • 短信上行回调(区分文本二进制)
      POST
    • Plan Order Status Change notification (IMSI)
      POST
  • eSIM QR Mall APIs
    • Introduction
    • Pre - order
      POST
    • v1.1/payment/webhook
      POST
    • User login
      POST
    • My eSIM Detail
      POST
    • Pre - order v1.2
      POST
  1. Customized

Query the remaing data by MNO side

Demo UAT
http://127.0.0.1
Demo UAT
http://127.0.0.1
POST
/flow/getInfoByDeviceId
Query the IMSI used in the order that the SIM card is in use and the remaining data by MNO side.
Remaining data of only one IMSI can be returned. If the SIM card has multiple IMSI, data may be incorrect.
This function applies only to the IMSI of specific resources. For details about resource support, contact the Linksfield support personnel.

Request

Header Params

Body Params application/json

Example
{
    "version":"2.0",
    "timestamp":"",
    "sign":"kePIsPsCCZEYSLE/QNxW/s2RYik=",
    "access_code":"P000001",
    "device_id":"89314404000894480434"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1/flow/getInfoByDeviceId' \
--header 'Accept-Language: zh-CN' \
--header 'Content-Type: application/json' \
--data '{
    "version":"2.0",
    "timestamp":"",
    "sign":"kePIsPsCCZEYSLE/QNxW/s2RYik=",
    "access_code":"P000001",
    "device_id":"89314404000894480434"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "code": "0000",
    "data": [
        {
            "type": "data",
            "remainingQuantity": "1879048192",
            "msg": null
        }
    ],
    "message": "成功",
    "success": true
}
Modified at 2022-10-05 07:09:07
Previous
Order OTA Plan
Next
Notification Overview
Built with